# Documentation API

Root path: <code>/api</code>

<h3>Verifications</h3>

<h4>Get all verifications from all verifiers with the given dmn table</h4>
<ul>
  <li>POST</li>
  <li><code>/api/dmn/verification/</code></li>
  <li>Consumes: text/xml - the dmn table as xml string</li>
  <li>Produces: application/json</li>
</ul>

<h3>Verification classifications</h3>

<h4>Get a list of all verification classifications</h4>
<ul>
  <li>GET</li>
  <li><code><a href="/api/dmn/verification/classifications" target="_blank">/api/dmn/verification/classifications</a></code>
  </li>
  <li>Produces: application/json</li>
</ul>

<h4>Get all verifications for the given verification classification</h4>
<ul>
  <li>POST</li>
  <li><code>/api/dmn/verification/classifications/{classificationName}</code></li>
  <li>Consumes: text/xml - the dmn table as xml string</li>
  <li>Produces: application/json</li>
</ul>

<h3>Verification types</h3>

<h4>Get a list of all verification types</h4>
<ul>
  <li>GET</li>
  <li>
    <code><a href="/api/dmn/verification/types"
             target="_blank">/api/dmn/verification/types</a></code>
  </li>
  <li>Produces: application/json</li>
</ul>

<h4>Get all verifications for the given verification types a and b</h4>
<ul>
  <li>POST</li>
  <li><code>/api/dmn/verification/types?typeName={a}&typeName={b}</code></li>
  <li>Consumes: text/xml - the dmn table as xml string</li>
  <li>Produces: application/json</li>
</ul>

<h3>Metrics</h3>

<h4>Get some statistics about execution times</h4>
The token parameter is optional for some metric statistics. The default value is 'all'.
<ul>
  <li>GET</li>
  <li>
    <code><a href="/api/dmn/verification/metrics"
             target="_blank">/api/dmn/verification/metrics?token={token}</a></code>
  </li>
  <li>Produces: application/json</li>
</ul>

<h3>Actions</h3>

<h4>Get global the action config</h4>
Get "true" or "false" for the global action creation setting. If "false", no actions will be
created.
<ul>
  <li>GET</li>
  <li>
    <code><a href="/api/dmn/verification/actions/global"
             target="_blank">/api/dmn/verification/actions/global</a></code>
  </li>
  <li>Produces: text/plain</li>
</ul>

<h4>Set global the action config</h4>
Set "true" or "false" for the global action creation setting. If "false", no actions will be
created.
<ul>
  <li>POST</li>
  <li>
    <code>/api/dmn/verification/actions/global/{boolean}</code>
  </li>
  <li>Produces: text/plain</li>
</ul>

<h4>Get configs for allowed actions scopes and action types</h4>
<ul>
  <li>GET</li>
  <li>
    <code>><a href="/api/dmn/verification/actions/allowedActions"
              target="_blank">/api/dmn/verification/actions/allowedActions</a></code>
  </li>
  <li>Produces: application/json</li>
</ul>

<h4>Get a list of action types</h4>
<ul>
  <li>GET</li>
  <li>
    <code>><a href="/api/dmn/verification/actions/actionTypes"
              target="_blank">/api/dmn/verification/actions/actionTypes</a></code>
  </li>
  <li>Produces: application/json</li>
</ul>

<h4>Get a list of action scopes</h4>
<ul>
  <li>GET</li>
  <li>
    <code>><a href="/api/dmn/verification/actions/actionScopes"
              target="_blank">/api/dmn/verification/actions/actionScopes</a></code>
  </li>
  <li>Produces: application/json</li>
</ul>

<h4>Set the boolean for the allowed action type / action scope</h4>
<ul>
  <li>POST</li>
  <li>
    <code>/api/dmn/verification/actions/allowedActions/{scope}/{type}/{value}</code>
  </li>
  <li>Produces: text/plain</li>
</ul>
